<?php

/**
 * This plugin sends users a welcome message after logging in
 * and notify a moderator a new user has been added
 * it has a settings page that allow you to configure the messages
 * send.
 *
 * @package    local
 * @subpackage welcome
 * @copyright  2012 Bas Brands
 * @copyright  2012 Bright Alley Knowledge and learning
 * @author     Bas Brands bmbrands@gmail.com
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$handlers = array(
    'user_created' => array (
        'handlerfile'     => '/local/welcome/event_handlers.php',
        'handlerfunction' => 'send_welcome',
        'schedule'        => 'instant',
    ),
);

?>
